## mingw-w64-python-scikit-build-0.17.6-3.src.tar.zst

=== tests/samples/fail-unless-skbuild-set/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(fail_unless_skbuild_set NONE)

if(NOT DEFINED SKBUILD)
  message(FATAL_ERROR "SKBUILD is not set!")
endif()

install(CODE "execute_process(COMMAND \${CMAKE_COMMAND} -E sleep 0)")
